{% extends 'base.html' %}

{% block content %}
  <h2>Set new password</h2>
  {% if validlink %}
      <form method="post">
        {% csrf_token %}
        {% for field in form %}
          <p>
            {{ field.label_tag }}<br>
            {{ field }}
            {% if field.help_text %}
              <small style="color: grey">{{ field.help_text }}</small>
            {% endif %}
            {% for error in field.errors %}
              <p style="color: red">{{ error }}</p>
            {% endfor %}
          </p>
        {% endfor %}
        <button type="submit">Save</button>
      </form>
  {% else %}
      <p style="color:red;"> Invalid token.</p>
      <p>
          <a  href="{% url 'password_reset' %}">Request a new password reset token</a> /
      </p>
  {% endif %}
{% endblock %}